Subject: Re: [PATCH 5/8] fetch: deduplicate handling of per-reference format

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Mar 2023 09:50:38 -0700

Patrick Steinhardt <[email-masked]> writes:

>> So, I dunno.  The result of applying this patch leaves it in an
>> in-between state, where the division of labor between the caller and
>> the callee smells somewhat iffy.
>> 
>> Thanks.
>
> I totally agree with you here. From my point of view this "division of
> labor" is getting fixed in the final patch that then also moves the
> printing logic into `format_display()`.

Yes, again I smell the same "isn't this series going a bit too
roundabout route to its goal?" which I expressed in my response to
an earlier step.  The endgame of the series, even though I may not
agree with it 100%, is self consistent and does not leave the "this
ends at an in-between state" aftertaste in my mouth.

Thanks.